POST Verify Phone Number Update
Vefiry phone number update
Path Parameters
- Type: stringcustomer
_id requiredCustomer ID
Headers
- Type: stringX
- Request - I D requiredUnique request identifier
- Type: stringApplicationrequired
Application key
- Type: stringAcceptrequired
Accept header
- Type: stringA
P I -version requiredApi version
- Type: stringAuthorizationrequired
Authorization header
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Body
application/json
- Type: stringconfirmation
_code
Responses
- application/json
Request Example for post/customers/{customer_id}/verify-phone-number-update
curl https://api-public-demo.menu.app/api/customers/47bf8888-3f23-11ed-936c-1a67b454859d/verify-phone-number-update \
--request POST \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'Application: ' \
--header 'Accept: application/json' \
--header 'API-version: 5.0.0' \
--header 'Authorization: ' \
--header 'X-QB-Enabled: true' \
--header 'Content-Type: application/json' \
--data '{
"confirmation_code": "164138"
}'
{
"status": "OK",
"code": 200,
"data": {
"customer_account": {
"id": "6735e303-50a1-4887-9b11-915a6919cc66",
"type_id": 1,
"reference_type": "CustomerAccount",
"first_name": "Dragos",
"last_name": "Niculescu",
"email": "dragos.niculescu@partech.com",
"phone_number": "+40724373613",
"locale": "en",
"state": 1,
"demographics": [
{
"id": "a4f35ff0-080b-4e41-9a5b-8f04c41ecd44",
"demographic_id": "5af66188-5d95-4d2a-8508-ed47b4c19ea5",
"value": "1985-01-13"
},
{
"id": "93a1da91-34fe-49dc-bf20-e454a90cc31c",
"demographic_id": "da44cf81-1be9-48d5-af8a-8a9fcd0d94cc",
"value": "112312"
}
],
"optin_status_email": 3,
"optin_status_pn": 3,
"has_pending_email_change": false,
"has_pending_phone_number_change": false,
"is_social": false,
"social_login": null,
"updated_at": "2023-08-02 10:09:12",
"created_at": "2023-04-06 14:28:47",
"confirmed": false
}
}
}